Subject: [savi] Comments on draft-ietf-savi-send-03

From: Tony Cheneau <[email-masked]>
Date: Wed, 11 Aug 2010 12:03:48 +0200

Hello,

I read the document draft-ietf-savi-send-03 and I have the following
comments. This is mostly clarification questions actually, because I am
new to SAVI:

- Section 2.2:
 « In particular, SEND SAVI does not require any changes in the
 hosts whose source address is to be verified. »
 This implies that it is OK to modify routers, correct ?

- Section 4.1 and Section 4.3:

 +--4-----3---+
 | SEND-SAVI1 |
 +--1-----2---+
    |
  +-2-+
  | R1|
  +-1-+
    |
  +----------+
  | SWITCH-A |
  +----------+
    |      |
  +-1-+  +-1-+
  | H1|  | H2|
  +---+  +---+

(this figure helps me to explain my scenario)

I understand that in order for SEND-SAV1 to learn the prefixes that R1
advertise, R1 must advertise its prefixes on both of its interfaces. I
think it is pretty rare for a router to advertise the same prefix on
multiple interfaces (except when using RFC4389). My understanding is
that R1 will advertise its prefixes on interface 1 only. Did I miss
something ? Are routers modified for (SEND- ?) SAVI to behave that way ?

The same comment applies for Section 4.2, the router may not answer to
CPS messages (as they are not received through an advertising
interface).

- Section 4.3:
 « all SEND SAVI devices MUST listen and process RADV containing the
 SEND extensions »
 This implies that all the SEND SAVI devices must have a (loosely)
 synchronized clock, right ?

- Section 4.4.1.1., TENTATIVE_DAD state:
 - « While it is waiting for a possible DAD NADV »
 It could also receive a DAD NSOL, from another node, performing a DAD
 on the same target address, right ?

 - « If a validated DAD NADV is received from any port [...] »
 Same comment as above.

- I think you should add configuration variable to set a minimum size
  and maximum size of the key SEND nodes are authorized to use.

I also noted some typos:
- through the whole document:
  "anti-reply" => "anti-replay"
- Section 3.1:
  "maily through" => "mainly through"
- Section 4.3:
  "prefixes and routerare"
=>"prefixes and routers are"

Hope it helps.

Regards,
	Tony Cheneau